Skip to content

Audit Log (Template) ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAuditLogSettingForMspGETGet site template audit log notification
modifyAuditLogSettingSitePATCHModify site template audit log notification

getAuditLogSettingForMsp ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/audit-notification

Get site template audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getAuditLogSettingForMsp",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template audit log notification.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyAuditLogSettingSite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/audit-notification

Modify site template audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOyes(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
auditLogNotificationsarray<AuditLogNotificationEditOpenApiVO>yesAudit Log Notification List
json
// omada_call_operation
{
  "operationId": "modifyAuditLogSettingSite",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template audit log notification.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.